#include "OB6710.h"

unsigned char gDacVaule0, gDacVaule1 ;

void DAC_Output(unsigned int DACSel, unsigned int OutputValue)
{
	if(DACSel == 0x00)
	{	
		DACVAL0 = OutputValue;
		DACCON = DACCON | 0x01;
	}
	else
	{
		DACVAL1 = OutputValue;
		DACCON = DACCON | 0x02;

	}
}

void main(void)
{
	gDacVaule0 = 0x12;
	gDacVaule1 = 0x34;

	while(1)
	{
	
		if(gDacVaule0 != DACVAL0)
			DAC_Output(0, gDacVaule0);
		
		if(gDacVaule1 != DACVAL1)
			DAC_Output(1, gDacVaule1);	
	
	}
}